UXRCOM(4)

NAME
uxrcom - Exar XR21V141x USB serial adapter

SYNOPSIS
uxrcom* at uhub?
ucom* at uxrcom?

HARDWARE
The uxrcom driver supports serial adapters based on the XR21V1410, XR21V1412, and XR21V1414 chipsets. Devices range from single port to eight port (implemented as a USB hub and two uxrcom four port instances behind it). Examples of hardware known to work with this driver are:

Gearmo GM-U28RS232 8 Port USB to Serial DB9 RS232 Adapter

DESCRIPTION
The uxrcom driver attaches the Exar XR21V141x multiport chipset with individual port drivers via ucom(4), which makes it behave like a tty(4).

SEE ALSO
tty(4), ucom(4), uhub(4), umodem(4), usb(4)

HISTORY
The uxrcom device driver first appeared in OpenBSD 6.5 and in NetBSD 9.1.

AUTHORS
-nosplit The uxrcom driver for the single port XR21V1410 was written by Mark Kettenis <kettenis@openbsd.org>. The multi-port NetBSD driver is based on the OpenBSD driver but uses the common umodem(4) framework. The NetBSD driver was written by by Simon Burge <simonb@NetBSD.org>.